Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class IObject

    java.lang.Object
      infomat.vectorspace.IObject

All Implemented Interfaces:
  IVectorIndex

Direct Known Subclasses:
  IObjectGroup

    public class IObject

extends java.lang.Object
implements IVectorIndex

A IObject is either an object or a feature. It could be a word or a document for instance. This is the smallest part of the representation.

Field Summary
`private boolean` | `ambiguous`
`private static CommonPath` | `commonPath`
`private int` | `id`
`private int` | `kind`
`private java.lang.String` | `location`
`private java.lang.String` | `locationPath`
`private java.lang.String` | `s`

Constructor Summary
`IObject(java.lang.String s, int id)`
`IObject(java.lang.String s, int kind, int id)`
`IObject(java.lang.String s, java.lang.String location, int id)`
`IObject(java.lang.String s, java.lang.String location, int kind, int id)`

Method Summary
`boolean` | `getAmbiguous()`
`java.lang.String` | `getAmbiguousString()`
`int` | `getID()`
`int` | `getKind()`
`static java.lang.String` | `getLargestCommonLocation()` Returns the representation in the form of a HashMap, mapping IObject to a Float value.
`java.lang.String` | `getLocation()`
`java.lang.String` | `getString()`
`void` | `setAmbiguous(boolean ambiguous)`
`void` | `setString(java.lang.String s)`
`int` | `stringCompareTo(IObject co)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commonPath

    private static CommonPath commonPath

### s

    private java.lang.String s

### locationPath

    private java.lang.String locationPath

### location

    private java.lang.String location

### kind

    private int kind

### id

    private int id

### ambiguous

    private boolean ambiguous

Constructor Detail

### IObject

    public IObject(java.lang.String s,
                   int id)

### IObject

    public IObject(java.lang.String s,
                   java.lang.String location,
                   int id)

### IObject

    public IObject(java.lang.String s,
                   int kind,
                   int id)

### IObject

    public IObject(java.lang.String s,
                   java.lang.String location,
                   int kind,
                   int id)

Method Detail

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `IVectorIndex`

### setString

    public void setString(java.lang.String s)

### setAmbiguous

    public void setAmbiguous(boolean ambiguous)

### getAmbiguous

    public boolean getAmbiguous()

### getAmbiguousString

    public java.lang.String getAmbiguousString()

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in interface `IVectorIndex`

### getKind

    public int getKind()

### getID

    public int getID()

### getLargestCommonLocation

    public static java.lang.String getLargestCommonLocation()

  Returns the representation in the form of a HashMap, mapping IObject to a Float value. For a group - the centroid.

### stringCompareTo

    public int stringCompareTo(IObject co)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD